PUT
/api/account/profile
const url = 'https://example.com/api/account/profile';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"accountId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","firstName":"example","lastName":"example","dateOfBirth":"2026-04-15","phone":"example","addressLine1":"example","addressLine2":"example","city":"example","state":"example","postCode":"example","country":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/account/profile \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "dateOfBirth": "2026-04-15", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example" }'The customer updates their own identity (name, DOB, phone, address).
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
accountId
string format: uuid
firstName
required
string
lastName
required
string
dateOfBirth
string format: date
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
Example generated
{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "dateOfBirth": "2026-04-15", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}object
accountId
string format: uuid
firstName
required
string
lastName
required
string
dateOfBirth
string format: date
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
Example generated
{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "dateOfBirth": "2026-04-15", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}object
accountId
string format: uuid
firstName
required
string
lastName
required
string
dateOfBirth
string format: date
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
Example generated
{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "dateOfBirth": "2026-04-15", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
id
string format: uuid
email
string
firstName
string
lastName
string
fullName
string
dateOfBirth
string format: date
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
emailVerified
boolean
createdAt
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example", "firstName": "example", "lastName": "example", "fullName": "example", "dateOfBirth": "2026-04-15", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example", "emailVerified": true, "createdAt": "2026-04-15T12:00:00Z"}